### Method

# PangoOT.RulesetDescription.copy

#### Declaration [src]

    PangoOTRulesetDescription*
    pango_ot_ruleset_description_copy (
      const PangoOTRulesetDescription* desc
    )

#### Description [src]

Creates a copy of `desc`, which should be freed with `pango_ot_ruleset_description_free()`. Primarily used internally by `pango_ot_ruleset_get_for_description()` to cache rulesets for ruleset descriptions.

#### Return value

Returns: `PangoOTRulesetDescription`
the newly allocated `PangoOTRulesetDescription`, which should be freed with `pango_ot_ruleset_description_free()`.
Ownership of the data is transferred to the caller